#!/usr/bin/env bash

if [ -z "$(sudo wg)" ]; then
    exit
fi

TEXT=$(sudo wg | head -n1)

readarray -d ": " -t strarr <<< "$TEXT"

INTERFACE=${strarr[1]}

echo $INTERFACE > /tmp/interface

sudo wg-quick down $INTERFACE

notify-send "Deactivated interface $(cat /tmp/interface)"

